Bug 167053 - Editing mail account without Receive servers crashes Evolution
Editing mail account without Receive servers crashes Evolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 16:53 EDT by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.3.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 17:06:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2005-08-29 16:53:22 EDT
Description of problem:
I have two Gmail accounts, and sometimes I want to send mail from Evolution
using those accounts. Not wanting to download hundreds of MBs of mail via POP3,
I set the Receiving server type to None.

With evolution-2.3.7 this works fine; with 2.3.8 though, trying to edit the
accounts with Protocol=none crashes Evolution.

Version-Release number of selected component (if applicable):
2.3.8-3

How reproducible:
Always

Steps to Reproduce:
1. Set up an account without a Receive: server (server type set to None)
Might need to do it using Evo 2.3.7
2. Edit the account
3.
  
Actual results:
Evolution crashes (output log below)

Expected results:
The account should be editable like other accounts

Additional info:
*** glibc detected *** evolution: double free or corruption (out): 0xb7f0a9a0 ***
======= Backtrace: =========
/lib/libc.so.6[0xbd4904]
/lib/libc.so.6(__libc_free+0x77)[0xbd4e3f]
/usr/lib/libglib-2.0.so.0(g_free+0x22)[0x1ec594]
/usr/lib/libcamel-1.2.so.0(camel_exception_setv+0x60)[0x62571ef]
/usr/lib/libcamel-1.2.so.0(camel_url_new+0x76)[0x627de60]
/usr/lib/libcamel-provider-1.2.so.6[0xe78248]
/usr/lib/libcamel-provider-1.2.so.6(camel_session_get_service+0x60)[0xe78423]
/usr/lib/evolution/2.4/plugins/liborg-gnome-groupwise-features.so(org_gnome_proxy+0x55)[0x55b8159]
/usr/lib/evolution/2.4/libeutil.so.0[0x89874f]
/usr/lib/evolution/2.4/libeutil.so.0(e_plugin_invoke+0x31)[0x897a6a]
/usr/lib/evolution/2.4/libeutil.so.0[0x88d034]
/usr/lib/evolution/2.4/libeutil.so.0[0x88b9e7]
/usr/lib/evolution/2.4/libeutil.so.0(e_config_create_widget+0x11a)[0x88c6f2]
/usr/lib/evolution/2.4/libeutil.so.0(e_config_create_window+0x22)[0x88c826]
/usr/lib/evolution/2.4/components/libevolution-mail.so(em_account_editor_new+0x3e0)[0x15b5457]
/usr/lib/evolution/2.4/components/libevolution-mail.so[0x15b74c7]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x43)[0x2b82d3]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11e)[0x2acb98]
/usr/lib/libgobject-2.0.so.0[0x2bb1e3]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6ab)[0x2bc820]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x2bcb93]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0x56)[0x4036ec]
/usr/lib/libgtk-x11-2.0.so.0[0x404e8c]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x43)[0x2b82d3]
/usr/lib/libgobject-2.0.so.0[0x2ac565]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11e)[0x2acb98]
/usr/lib/libgobject-2.0.so.0[0x2bae39]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6ab)[0x2bc820]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x2bcb93]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0x53)[0x403666]
/usr/lib/libgtk-x11-2.0.so.0[0x404555]
/usr/lib/libgtk-x11-2.0.so.0[0x4c430c]
/usr/lib/libgobject-2.0.so.0[0x2ac565]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11e)[0x2acb98]
/usr/lib/libgobject-2.0.so.0[0x2bb36f]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x41e)[0x2bc593]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x2bcb93]
/usr/lib/libgtk-x11-2.0.so.0[0x5a5aff]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0xc1)[0x4c2a48]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x325)[0x4c2e80]
/usr/lib/libgdk-x11-2.0.so.0[0x6fc133]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc)[0x1e59ee]
/usr/lib/libglib-2.0.so.0[0x1e8a06]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a1)[0x1e8cf3]
/usr/lib/libbonobo-2.so.0(bonobo_main+0x63)[0x5c0b660]
evolution(main+0x45e)[0x805e706]
/lib/libc.so.6(__libc_start_main+0xdf)[0xb864ff]
evolution[0x8051171]
======= Memory map: ========
00111000-00119000 r-xp 00000000 fd:00 753924     /usr/X11R6/lib/libSM.so.6.0
00119000-0011a000 rwxp 00007000 fd:00 753924     /usr/X11R6/lib/libSM.so.6.0
0011a000-00184000 r-xp 00000000 fd:00 983578     /usr/lib/libfreetype.so.6.3.7
00184000-0018b000 rwxp 00069000 fd:00 983578     /usr/lib/libfreetype.so.6.3.7
0018b000-00194000 r-xp 00000000 fd:00 1835103    /lib/libnss_files-2.3.90.so
00194000-00195000 r-xp 00008000 fd:00 1835103    /lib/libnss_files-2.3.90.so
00195000-00196000 rwxp 00009000 fd:00 1835103    /lib/libnss_files-2.3.90.so
00196000-00197000 r-xp 00000000 fd:00 1576022   
/usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
00197000-00198000 rwxp 00000000 fd:00 1576022   
/usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
00198000-00199000 r-xp 00000000 fd:00 1937498   
/usr/lib/evolution/2.4/plugins/liborg-gnome-default-mailer.so
00199000-0019a000 rwxp 00000000 fd:00 1937498   
/usr/lib/evolution/2.4/plugins/liborg-gnome-default-mailer.so
0019a000-001b1000 r-xp 00000000 fd:00 1414050    /usr/X11R6/lib/libICE.so.6.3
001b1000-001b2000 rwxp 00016000 fd:00 1414050    /usr/X11R6/lib/libICE.so.6.3
001b2000-001b4000 rwxp 001b2000 00:00 0
001b4000-001b5000 r-xp 00000000 fd:00 1474816    /usr/lib/gconv/ISO8859-1.so
001b5000-001b7000 rwxp 00000000 fd:00 1474816    /usr/lib/gconv/ISO8859-1.so
001b8000-001b9000 r-xp 0
Comment 1 Dave Malcolm 2005-08-29 16:59:26 EDT
Thanks for this bug report; I'm able to reproduce these symptoms as well.
Comment 2 Dave Malcolm 2005-08-29 17:07:43 EDT
Looks like the CamelException in org_gnome_proxy in plugins/groupwise-features
is never initialized.  It's been fixed in upstream CVS, so should make it into
evolution-2.3.9.  Relevant change is a reverted patch here:
http://cvs.gnome.org/viewcvs/evolution/plugins/groupwise-features/proxy.c?r1=1.7&r2=1.8

You can work around it for now by going to Edit->Plugins and disabling the
"Groupwise Features" plugin.
Comment 3 Dave Malcolm 2005-11-10 16:34:59 EST
Should have been fixed in 2.3.9... is this working with the latest rawhide packages?
Comment 4 Dave Malcolm 2006-01-11 17:06:44 EST
I'm going to close this one as fixed in 2.3.9; please reopen this bug if the
problem is still occurring.

Note You need to log in before you can comment on or make changes to this bug.